package org.delta.dto.entities.grape;

import io.swagger.v3.oas.annotations.media.Schema;

public class GrapeBaseDTO {
    protected String grapeName;

    @Schema(
            name = "grapeName",
            example = "white",
            description = "Unique grape name",
            requiredMode = Schema.RequiredMode.REQUIRED
    )
    public String getGrapeName() {
        return grapeName;
    }
    public void setGrapeName(String grapeName) {
        this.grapeName = grapeName;
    }
}
