package org.delta.dto.entities.grape;

import com.google.gson.Gson;

public class GrapeDTO extends GrapeBaseDTO {
    private long grapeID;

    public long getGrapeID() {
        return grapeID;
    }

    public void setGrapeID(long grapeID) {
        this.grapeID = grapeID;
    }

    @Override
    public boolean equals(Object o) {
        if (o == this) {
            return true;
        }

        if (!(o instanceof GrapeDTO)) {
            return false;
        }

        GrapeDTO grape = (GrapeDTO) o;

        return grape.getGrapeID() == this.grapeID;
    }

    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
