package org.delta.dto.entities.order;

import io.swagger.v3.oas.annotations.media.Schema;
import org.delta.dto.entities.bottle.BottleDTO;

import java.util.ArrayList;

public class AddOrderDTO {

    private ArrayList<BottleDTO> bottles;

    @Schema(
            name = "bottles",
            example = "",
            description = "Bottles in the order",
            requiredMode = Schema.RequiredMode.REQUIRED
    )
    public ArrayList<BottleDTO> getBottles() {
        return bottles;
    }

    public void setBottles(ArrayList<BottleDTO> bottles) {
        this.bottles = bottles;
    }
}
