package org.delta.dto.entities.order;

import io.swagger.v3.oas.annotations.media.Schema;

public class OrderBaseDTO {
    protected Long id;

    @Schema(
            name = "id",
            example = "4",
            description = "id of the order",
            requiredMode = Schema.RequiredMode.REQUIRED
    )
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
