package org.delta.dto.entities.purchase;

import io.swagger.v3.oas.annotations.media.Schema;

public class PurchaseBaseDTO {

    protected Long id;

    protected String feedback;

    @Schema(
            name = "id",
            example = "4",
            description = "id of the purchase",
            requiredMode = Schema.RequiredMode.REQUIRED
    )
    public Long getId() {
        return id;
    }

    public void setId(Long id){
        this.id = id;
    }

    @Schema(
            name = "feedback",
            example = "The wine was great!",
            description = "Customer feedback for their purchase",
            requiredMode = Schema.RequiredMode.NOT_REQUIRED
    )
    public String getFeedback() {
        return feedback;
    }

    public void setFeedback(String feedback) {
        this.feedback = feedback;
    }
}
