package org.delta.dto.entities.purchase;

import io.swagger.v3.oas.annotations.media.Schema;
import org.delta.dto.entities.order.OrderDTO;

public class PurchaseDTO extends PurchaseBaseDTO {


    private OrderDTO order;


    @Schema(
            name = "order",
            example = "",
            description = "Order tied to the purchase",
            requiredMode = Schema.RequiredMode.REQUIRED
    )
    public OrderDTO getOrder() {
        return order;
    }

    public void setOrder(OrderDTO order) {
        this.order = order;
    }

}
