package org.delta.dto.entities.wine;

import io.swagger.v3.oas.annotations.media.Schema;

public class AddWineDTO extends WineBaseDTO {


    private String wineState;




    @Schema(
            name = "wineState",
            example = "AGING_WINE",
            description = "State of wine",
            requiredMode = Schema.RequiredMode.REQUIRED
    )
    public String getWineState() {
        return wineState;
    }

    public void setWineState(String wineState) {
        this.wineState = wineState;
    }

}