package org.delta.dto.entities.wine;

import io.swagger.v3.oas.annotations.media.Schema;
import org.delta.dto.enums.WineState;

public class UpdateWineDTO extends WineBaseDTO {


    private WineState wineState;
    private Long id;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }


    @Schema(
            name = "wineState",
            example = "AGING_WINE",
            description = "State of wine",
            requiredMode = Schema.RequiredMode.REQUIRED
    )


    public WineState getWineState() {
        return wineState;
    }

    public void setWineState(WineState state) {
        this.wineState = state;
    }


}