package org.delta.winery.harvestwine.data.mapping;

import org.delta.dto.entities.grape.GrapeDTO;
import org.delta.dto.entities.grape.AddGrapeDTO;
import org.delta.dto.entities.grape.GrapeListEntityDTO;
import org.delta.winery.harvestwine.data.model.Grape;


public class GrapeMapping {
    public static GrapeDTO getGrapeDto(Grape grape) {
        GrapeDTO dto = new GrapeDTO();
        dto.setGrapeName(grape.getGrapeName());
        dto.setGrapeID(grape.getId());
        return dto;
    }


    public static Grape getGrapeEntity(AddGrapeDTO grape) {
        Grape g = new Grape();
        g.setGrapeName(grape.getGrapeName());
        return g;
    }
}
