from classes.BaseTaskSet import BaseTaskSet
from locust import task
import random

class HarvestManagementTasks(BaseTaskSet):
    def get_base_url(self):
        return 'http://localhost:8081'

    @task
    def get_grapes(self):
        self.http_request('/grapes')
    
    @task
    def get_harvests(self):
        self.http_request('/harvests')
    
    @task
    def get_surplus_harvest(self):
        self.http_request('/harvests/surplus?volumeInLiters=5000&purchasePricePerLiter=1&bottlePrice=1&id=1')
    
    @task
    def can_store(self):
        number = random.randrange(0, 50)
        self.http_request(f'/harvests/canStore?volume={number}')