from classes.BaseTaskSet import BaseTaskSet
from locust import task

class ProductionManagementTasks(BaseTaskSet):
    def get_base_url(self):
        return 'http://localhost:8082'

    @task
    def get_stored_wines(self):
        self.http_request('/stored/wines?wineState=AGING_WINE')
    
    @task
    def get_stored_containers(self):
        self.http_request('/stored/containers')
    
    @task
    def get_stored_wine_by_id(self):
        self.http_request('/stored/wine_by_id?id=1')
    
    @task
    def get_filtered_wines(self):
        self.http_request('/stored/filter_wines?Name=Merlot&empty=true&present=true&asInt=0')

    @task
    def get_containers(self):
        self.http_request('/stored/filter_containers?isEmpty=true')