from classes.BaseTaskSet import BaseTaskSet
from locust import task
import random

class SaleManagementTasks(BaseTaskSet):
    def get_base_url(self):
        return 'http://localhost:8084'

    @task
    def get_bottles(self):
        self.http_request('/sale/bottle')
    
    @task
    def get_bottles_by_year(self):
        number = random.randrange(2012, 2023)
        self.http_request(f'/sale/search?Year={number}')
    
    @task
    def get_order_by_id(self):
        self.http_request('/sale/order/byId?id=1')

    @task
    def get_orders_by_bottle_id(self):
        self.http_request('/sale/bottle/byId?id=1')