from classes.BaseTaskSet import BaseTaskSet
from locust import task

class UserManagementTasks(BaseTaskSet):
    def get_base_url(self):
        return 'http://localhost:8080'
    
    @task
    def get_users(self):
        self.http_request('/users')
    
    @task
    def get_filtered_users(self):
        self.http_request('/users/search?role=MANAGER&First%20name=Martin')
    
    @task
    def get_user_by_username(self):
        self.http_request('/users/byUsername?username=12345')