from locust import HttpUser, task, SequentialTaskSet, between, TaskSet, run_single_user
from classes.WineManagementTasks import WineManagementTasks

class MainTasks(SequentialTaskSet):
    tasks = [WineManagementTasks]

class RunTests(HttpUser):
    wait_time = between(0,2)
    tasks = [MainTasks]

if __name__ == "__main__":
    run_single_user(RunTests)