package org.delta.winery.sellwine.data.mapping;

import org.delta.dto.entities.bottle.AddBottleDTO;
import org.delta.dto.entities.bottle.BottleDTO;
import org.delta.dto.entities.bottle.BottleListEntityDTO;

import org.delta.winery.sellwine.data.model.Bottle;

public class BottleMapping {
    public static BottleListEntityDTO getBottleListEntityDto(Bottle bottle) {
        BottleListEntityDTO dto = new BottleListEntityDTO();
        dto.setPrice(bottle.getPrice());
        dto.setVolume(bottle.getVolume());
        dto.setYear(bottle.getYear());
        dto.setOrigin(bottle.getOrigin());
        dto.setAmount(bottle.getAmount());
        dto.setId(bottle.getId());
        dto.setWineType(bottle.getType());
        dto.setName(bottle.getName());

        return dto;
    }

    public static BottleDTO getBottleDto(Bottle bottle) {
        BottleDTO dto = new BottleDTO();
        dto.setBottleID(bottle.getId());
        dto.setPrice(bottle.getPrice());
        dto.setVolume(bottle.getVolume());
        dto.setYear(bottle.getYear());
        dto.setOrigin(bottle.getOrigin());
        dto.setAmount(bottle.getAmount());
        dto.setWineType(bottle.getType());
        dto.setName(bottle.getName());

        return dto;
    }

    public static Bottle getBottleEntity(AddBottleDTO bottleDTO) {
        Bottle bottle = new Bottle();
        bottle.setPrice(bottleDTO.getPrice());
        bottle.setVolume(bottleDTO.getVolume());
        bottle.setYear(bottleDTO.getYear());
        bottle.setOrigin(bottleDTO.getOrigin());
        bottle.setAmount(bottleDTO.getAmount());
        bottle.setType(bottleDTO.getWineType());
        bottle.setName(bottleDTO.getName());

        return bottle;
    }
}
