package org.delta.Data.Mapping;

import org.delta.Data.Model.Bottle;
import org.delta.dto.entities.bottle.AddBottleDTO;
import org.delta.dto.entities.bottle.BottleDTO;
import org.delta.dto.entities.bottle.BottleListEntityDTO;
import org.delta.dto.entities.bottle.UpdateBottleDTO;

public class BottleMapping {

    public static BottleDTO getBottleDTO(Bottle bottle){
        BottleDTO b = new BottleDTO();
        b.setAmount(bottle.getAmount());
        b.setBottleID((bottle.getBottleID()));
        b.setOrigin(bottle.getOrigin());
        b.setPrice(bottle.getPrice());
        b.setYear(bottle.getYear());
        b.setVolume(bottle.getVolume());
        b.setName(bottle.getName());
        b.setWineType(bottle.getWineType());
        return b;
    }

    public static BottleListEntityDTO getBottleListEntityDTO(Bottle bottle){
        BottleListEntityDTO b = new BottleListEntityDTO();
        b.setAmount(bottle.getAmount());
        b.setOrigin(bottle.getOrigin());
        b.setPrice(bottle.getPrice());
        b.setYear(bottle.getYear());
        b.setVolume(bottle.getVolume());
        b.setName(bottle.getName());
        b.setWineType(bottle.getWineType());

        return b;
    }

    public static Bottle getUpdateBottleDTO(UpdateBottleDTO bottle){
        Bottle b = new Bottle();
        b.setAmount(bottle.getAmount());
        b.setBottleID((bottle.getId()));
        b.setOrigin(bottle.getOrigin());
        b.setPrice(bottle.getPrice());
        b.setYear(bottle.getYear());
        b.setVolume(bottle.getVolume());
        b.setName(bottle.getName());
        b.setWineType(bottle.getWineType());
        return b;
    }

    public static Bottle getAddBottleDTO(AddBottleDTO bottle){
        Bottle b = new Bottle();
        b.setAmount(bottle.getAmount());
        b.setOrigin(bottle.getOrigin());
        b.setPrice(bottle.getPrice());
        b.setYear(bottle.getYear());
        b.setVolume(bottle.getVolume());
        b.setName(bottle.getName());
        b.setWineType(bottle.getWineType());
        return b;
    }


}
