package org.delta.Data.Repository;

import org.delta.Data.Model.Bottle;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface StoreRepository extends JpaRepository<Bottle, Long> {

    @Query("SELECT b FROM Bottle b WHERE b.name = :name")
    Optional<Bottle> findByName(@Param("name") String name);

}
