package org.delta.dto.entities.container;

import java.util.Objects;

public class ContainerDTO extends ContainerBaseDTO {

    private long id;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ContainerDTO that = (ContainerDTO) o;
        return id == that.id && that.capacity.compareTo(capacity) == 0 && isEmpty == that.isEmpty;
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, capacity, isEmpty);
    }
}
