package org.delta.dto.entities.harvest;

import com.google.gson.Gson;

public class HarvestDTO extends HarvestBaseDTO{
    private long harvestID;

    /**
     *
     * @return harvestId
     */
    public long getHarvestID() {
        return harvestID;
    }

    public void setHarvestID(long harvestID) {
        this.harvestID = harvestID;
    }


    @Override
    public boolean equals(Object o) {
        if (o == this) {
            return true;
        }

        if (!(o instanceof HarvestDTO harvest)) {
            return false;
        }

        return harvest.getHarvestID() == this.harvestID;
    }

    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
