package org.delta.dto.entities.harvest;

import com.google.gson.Gson;
import io.swagger.v3.oas.annotations.media.Schema;

public class HarvestListEntityDTO extends HarvestBaseDTO{

    private Long id;

    @Schema(
            name = "id",
            example = "3",
            description = "id of harvest",
            requiredMode = Schema.RequiredMode.REQUIRED
    )
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
