package org.delta.dto.entities.order;

import io.swagger.v3.oas.annotations.media.Schema;

public class RemoveBottleFromOrderDTO extends OrderBaseDTO {

    private Long bottleId;

    @Schema(
            name = "bottleId",
            example = "3",
            description = "ID of the bottle to be removed from the order",
            requiredMode = Schema.RequiredMode.REQUIRED
    )
    public Long getBottleId() {
        return bottleId;
    }

    public void setBottleId(Long bottleId) {
        this.bottleId = bottleId;
    }
}
