package org.delta.dto.entities.order;

import io.swagger.v3.oas.annotations.media.Schema;
import org.delta.dto.entities.bottle.BottleDTO;

import java.util.ArrayList;

public class UpdateOrderDTO extends OrderBaseDTO{

    private String feedback;

    @Schema(
            name = "feedback",
            example = "I loved the 2021 Rosé!",
            description = "Feedback about the order",
            requiredMode = Schema.RequiredMode.REQUIRED
    )
    public String getFeedback() {
        return feedback;
    }

    public void setFeedback(String feedback) {
        this.feedback = feedback;
    }
}
