package org.delta.dto.entities.purchase;

import io.swagger.v3.oas.annotations.media.Schema;
import org.delta.dto.entities.order.OrderListEntityDTO;

public class PurchaseListEntityDTO extends PurchaseBaseDTO {

    private OrderListEntityDTO order;


    @Schema(
            name = "order",
            example = "",
            description = "Order tied to the purchase",
            requiredMode = Schema.RequiredMode.REQUIRED
    )
    public OrderListEntityDTO getOrder() {
        return order;
    }

    public void setOrder(OrderListEntityDTO order) {
        this.order = order;
    }

}
