package org.delta.winery.harvestwine.data.mapping;

import org.delta.dto.entities.grape.GrapeDTO;
import org.delta.dto.entities.harvest.AddHarvestDTO;
import org.delta.dto.entities.harvest.HarvestListEntityDTO;
import org.delta.winery.harvestwine.data.model.Grape;
import org.delta.winery.harvestwine.data.model.Harvest;

public class HarvestMapping {
    public static HarvestListEntityDTO getHarvestListEntityDto(Harvest harvest) {
        HarvestListEntityDTO dto = new HarvestListEntityDTO();
        GrapeDTO newGrape= GrapeMapping.getGrapeDto(harvest.getGrape());
        dto.setId(harvest.getId());
        dto.setGrape(newGrape);
        dto.setPrice(harvest.getPrice());
        dto.setYear(harvest.getYear());
        dto.setVolume(harvest.getVolume());
        return dto;
    }


    public static Harvest getHarvestEntity(AddHarvestDTO harvest, Grape grape) {
        Harvest h = new Harvest();
        h.setGrape(grape);
        h.setPrice(harvest.getPrice());
        h.setVolume(harvest.getVolume());
        h.setYear(harvest.getYear());
        return h;
    }
}
