package org.delta.winery.harvestwine.helpers;

import java.nio.file.Files;
import java.nio.file.Paths;

public class UrlHelper {
    public static String getLocalUrl(String originalUrl) {
        return isRunningInDocker() ? originalUrl : "localhost";
    }
    public static boolean isRunningInDocker() {
        return System.getenv("HOSTNAME") != null;
    }
}
